

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/nmi.c |    6 +++---
 25-akpm/kernel/sysctl.c        |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/i386/kernel/nmi.c~nmi-build-fix arch/i386/kernel/nmi.c
--- 25/arch/i386/kernel/nmi.c~nmi-build-fix	2004-08-08 16:17:11.177604608 -0700
+++ 25-akpm/arch/i386/kernel/nmi.c	2004-08-08 16:17:11.181604000 -0700
@@ -524,13 +524,13 @@ static int unknown_nmi_panic_callback(st
 /*
  * proc handler for /proc/sys/kernel/unknown_nmi_panic
  */
-int proc_unknown_nmi_panic(ctl_table *table, int write,
-                struct file *file, void __user *buffer, size_t *length)
+int proc_unknown_nmi_panic(ctl_table *table, int write, struct file *file,
+			void __user *buffer, size_t *length, loff_t *ppos)
 {
 	int old_state;
 
 	old_state = unknown_nmi_panic;
-	proc_dointvec(table, write, file, buffer, length);
+	proc_dointvec(table, write, file, buffer, length, ppos);
 	if (!!old_state == !!unknown_nmi_panic)
 		return 0;
 
diff -puN kernel/sysctl.c~nmi-build-fix kernel/sysctl.c
--- 25/kernel/sysctl.c~nmi-build-fix	2004-08-08 16:17:11.178604456 -0700
+++ 25-akpm/kernel/sysctl.c	2004-08-08 16:17:11.191602480 -0700
@@ -68,7 +68,7 @@ extern int printk_ratelimit_burst;
 #if defined(CONFIG_X86_LOCAL_APIC) && defined(__i386__)
 int unknown_nmi_panic;
 extern int proc_unknown_nmi_panic(ctl_table *, int, struct file *,
-				  void __user *, size_t *);
+				  void __user *, size_t *, loff_t *);
 #endif
 
 /* this is needed for the proc_dointvec_minmax for [fs_]overflow UID and GID */
_
